function x=idwtsym(y)
% inverse discrete wavelet trafo symlet
[n,k]=size(y);
if(n<=2) 
  x=y; 
else
 x=zeros(size(y));
 if(k==1)
    s = idwtsym(y(1:(n/2)))/ 3.19593896961410*sqrt(2); 
    d = y(((n/2)+1):n)* 3.195938969614102/sqrt(2);
    d = d + 4.344017409218308*s;
    s = s -0.03526079391665825*d+0.06598460741210342*cpv(d,-1);
    d = d -1.05905726913757*s-5.87692797927752*cpv(s,1);
    s = s +0.01903120704675512*d-0.3392439918648426*cpv(d,-1);
    d = d +2.556583965520256*cpv(s,1);
	x(2:2:n) = d;
    x(1:2:(n-1))= s;
 else
    s = idwtsym(y(1:(n/2),:))/ 3.195938969614102*sqrt(2); 
    d = y(((n/2)+1):n,:)* 3.195938969614102/sqrt(2);
    d = d + 4.344017409218308*s;
    s = s -0.03526079391665825*d+0.06598460741210342*cpv(d,-1);
    d = d -1.05905726913757*s-5.87692797927752*cpv(s,1);
    s = s +0.01903120704675512*d-0.3392439918648426*cpv(d,-1);
    d = d +2.556583965520256*cpv(s,1);
	x(2:2:n,:) = d;
    x(1:2:(n-1),:)= s;
 end
end
end
